# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++ perl(Digest/MD5.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(OpenGL.pm) perl(blib.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Qt
Version:        0.96.0
Release:        alt1_6
Summary:        Perl bindings for Qt
# Files under qtcore/tools/ and qtdbus/tools/ are LGPLv2.1+ with Nokia
# exceptions or GPLv3+. The Nokia files only appear in -devel subpackage.
# QtCore4.pm is 'same terms as Perl itself'. The rest is GPLv2+.
License:        GPLv2+ and (GPL+ or Artistic)
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Qt/
Source0:        http://www.cpan.org/modules/by-module/Qt/Qt-%{version}.tar.gz

BuildRequires: ctest cmake
BuildRequires:  libdb4.8-devel
BuildRequires:  gdbm-devel
BuildRequires:  phonon-devel
BuildRequires:  libqimageblitz-devel
BuildRequires:  libqscintilla2-qt4-devel
BuildRequires:  qt4-devel
BuildRequires:  libqwt6-devel
BuildRequires:  smokeqt-devel

BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Devel/Peek.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(List/MoreUtils.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(XSLoader.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)





Source44: import.info
%filter_from_provides /^::_(internal/d
%filter_from_provides /^overload)\\)/d
%filter_from_requires /^::_(internal/d
%filter_from_requires /^overload)\\)/d
%filter_from_requires /^^QtCore4\\.so/d

%description
This module provides Perl bindings for the Qt 4 libraries.

%package devel
Group: Development/Perl
Summary:        Development files for perl-Qt
License:        GPLv2+ and (GPL+ or Artistic) and (LGPLv2+ with exceptions or GPLv3+)
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for perl-Qt.

%prep
%setup -q -n Qt-%{version}
mkdir build

# fix smoke qwt detection
sed -i -e 's/SMOKE_Qwt5_Qt4_FOUND/SMOKE_QWT_FOUND/' CMakeLists.txt

# these tests require running X server
sed -i -e '/perlqt_qtcore4_qapp/d' \
       -e '/perlqt_qtcore4_sigslot/d' \
       -e '/perlqt_qtcore4_sigslot_inherit/d' \
       -e '/perlqt_qtcore4_handlers/d' qtcore/t/CMakeLists.txt
sed -i -e '/perlqt_qsignalspy/d' qttest/t/CMakeLists.txt
sed -i -e '/perlqt_itemviewspixelator/d' \
       -e '/perlqt_itemviewspuzzle/d' \
       -e '/perlqt_helpcontextsensitivehelp/d' \
       -e '/perlqt_mainwindowsmdi/d' \
       -e '/perlqt_networkbroadcast/d' \
       -e '/perlqt_networkfortune/d' \
       -e '/perlqt_networkgooglesuggest/d' \
       -e '/perlqt_paintingfontsampler/d' \
       -e '/perlqt_richtextcalendar/d' \
       -e '/perlqt_sqlquerymodel/d' \
       -e '/perlqt_widgetscalculator/d' \
       -e '/perlqt_xmlstreambookmarks/d' qtgui/t/CMakeLists.txt

%build
cd build
%{cmake_kde4} \
    -DCUSTOM_PERL_SITE_ARCH_DIR=%{perl_vendorarch} \
    -DCMAKE_SKIP_RPATH=YES \
    -DENABLE_GUI_TESTS=YES \
    ..
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=%{buildroot}

# %{_fixperms} %{buildroot}/*

%check
cd build
export PERL5LIB="$PWD/blib/lib:$PWD/blib/arch"
make test

%files
%doc LICENSE README
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/

%files devel
%doc qtgui/examples
%{_bindir}/*
%{_includedir}/perlqt
%{_datadir}/perlqt

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.96.0-alt1_6
- update to new release by fcimport

* Thu Dec 13 2012 Igor Vlasenko <viy@altlinux.ru> 0.96.0-alt1_5
- update to new release by fcimport

